<?php
/*
Plugin Name: Better Formats
Plugin URI: http://plugins.mattvanandel.com/betterformats
Description: Improves the UI for WordPress's built-in post formats.
Version: 0.1
Author: Matt Van Andel
Author URI: http://mattvanandel.com/
License: GPLv2 or later
*/

//Initialize the plugin
NV_Better_Formats::init();

class NV_Better_Formats {

    public static function init() {
        // Enable improved post format feature (hook used is hacky, but don't think there's a better hook)
        add_action('dbx_post_sidebar' , array('NV_Better_Formats', 'require_meta_box'));

        // Enqueues scripts for the admin
        add_action('admin_enqueue_scripts' , array('NV_Better_Formats', 'enqueue_assets'));
    }

    /**
     * This loads the override code for WordPress's default format meta box.
     * Note that this is NOT a traditional meta box declaration, but injects
     * new code which is manipulated by JavaScript.
     *
     * @see add_action('dbx_post_sidebar', ... );
     */
    public static function require_meta_box() {
        require 'templates/meta-box.php';
    }

    /**
     * Allows for scripts and styles to be enqueued
     */
    public static function enqueue_assets() {
        wp_enqueue_script('nv-bf-admin', plugin_dir_url(__FILE__) . 'assets/admin.js', array('jquery'), false, false);
        wp_enqueue_style('nv-bf-admin', plugin_dir_url(__FILE__) . 'assets/admin.css');
    }

    /**
     * Allows help text to be added to admin
     *
     * @see add_action('admin_head', ... )
     * @global WP_Screen $current_screen Information about the current admin screen
     */
    public static function help() {
        global $wp_meta_boxes;
        $current_screen = get_current_screen();

        //Add new help text
        switch ( $current_screen->id ) {

            default: break;

        }
    }

}